(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      9931,        264]
NotebookOptionsPosition[      9566,        247]
NotebookOutlinePosition[      9912,        262]
CellTagsIndexPosition[      9869,        259]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Fourier Series Example 1", "Text",
 CellFrame->{{0.5, 3}, {3, 0.5}},
 CellFrameColor->RGBColor[0, 0, 1],
 CellChangeTimes->{{3.495919133137974*^9, 3.4959192229783735`*^9}, {
  3.495919525275174*^9, 3.495919574087574*^9}, {3.495919775140689*^9, 
  3.495919780179941*^9}, {3.4959234370682945`*^9, 3.4959234487062674`*^9}},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->16,
 FontWeight->"Bold"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"L", "=", "1"}], ";", "\n", 
    RowBox[{"tooth", "=", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"i", "-", "1"}], ")"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"i", "/", "2"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"i", "/", "2"}], ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"i", "+", "1"}], ")"}], "/", "2"}], ",", "1"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"i", "+", "1"}], ")"}], "/", "2"}], ",", "0"}], 
            "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "5", ",", "4"}], "}"}]}], "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "4"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1.2"}], "}"}]}], "}"}]}]}], "]"}]}], ";", "\n", 
    RowBox[{"a0", "=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", "L"}]], 
      RowBox[{
       SubsuperscriptBox["\[Integral]", 
        RowBox[{"L", "/", "2"}], "L"], 
       RowBox[{"\[DifferentialD]", "x"}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"an", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        FractionBox["1", "L"], 
        RowBox[{
         SubsuperscriptBox["\[Integral]", 
          RowBox[{"L", "/", "2"}], "L"], 
         RowBox[{
          RowBox[{"Cos", "[", 
           FractionBox[
            RowBox[{"i", "*", "\[Pi]", "*", "x"}], "L"], "]"}], 
          RowBox[{"\[DifferentialD]", "x"}]}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"bn", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        FractionBox["1", "L"], 
        RowBox[{
         SubsuperscriptBox["\[Integral]", 
          RowBox[{"L", "/", "2"}], "L"], 
         RowBox[{
          RowBox[{"Sin", "[", 
           FractionBox[
            RowBox[{"i", "*", "\[Pi]", "*", "x"}], "L"], "]"}], 
          RowBox[{"\[DifferentialD]", "x"}]}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", "\n", 
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{"a0", "+", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"i", "=", "1"}], "n"], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"an", "[", 
           RowBox[{"[", "i", "]"}], "]"}], 
          RowBox[{"Cos", "[", 
           FractionBox[
            RowBox[{"i", "*", "\[Pi]", "*", "x"}], "L"], "]"}]}], "+", 
         RowBox[{
          RowBox[{"bn", "[", 
           RowBox[{"[", "i", "]"}], "]"}], 
          RowBox[{"Sin", "[", 
           FractionBox[
            RowBox[{"i", "*", "\[Pi]", "*", "x"}], "L"], "]"}]}]}], 
        ")"}]}]}]}], ";", "\n", 
    RowBox[{"fourier", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"f", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "3"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "4"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1.2"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Show", "[", 
     RowBox[{"tooth", ",", "fourier"}], "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "\"\<Number of Terms\>\""}], "}"}], ",", 
     "1", ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", "n", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4933015993978424`*^9, 3.4933016120650425`*^9}, {
   3.493301675681842*^9, 3.493301815894642*^9}, {3.493301913893842*^9, 
   3.4933019464198422`*^9}, {3.4933019896162424`*^9, 3.4933020544030423`*^9}, 
   3.493302103543042*^9, {3.4933021574722424`*^9, 3.493302179249842*^9}, {
   3.4933022359402423`*^9, 3.493302242648242*^9}, {3.493302945682042*^9, 
   3.493302968972842*^9}, {3.493303061340442*^9, 3.493303080653242*^9}, 
   3.4933031537236423`*^9, {3.493303321205242*^9, 3.493303331828842*^9}, {
   3.493303380578842*^9, 3.4933034079568424`*^9}, {3.493303451777242*^9, 
   3.4933034769400425`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 1, "Number of Terms"}, 1, 20, 1}}, 
    Typeset`size$$ = {360., {114., 118.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$168813$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$168813$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`L = 1; $CellContext`tooth = ListLinePlot[
          
          Table[{{$CellContext`i - 1, 0}, {$CellContext`i/2, 
             0}, {$CellContext`i/2, 1}, {($CellContext`i + 1)/2, 
             1}, {($CellContext`i + 1)/2, 0}}, {$CellContext`i, 1, 5, 4}], 
          PlotRange -> {{0, 4}, {0, 1.2}}]; $CellContext`a0 = (1/(
          2 $CellContext`L)) 
         Integrate[
          1, {$CellContext`x, $CellContext`L/
            2, $CellContext`L}]; $CellContext`an = 
        Table[(1/$CellContext`L) Integrate[
            
            Cos[($CellContext`i 
              Pi) ($CellContext`x/$CellContext`L)], {$CellContext`x, \
$CellContext`L/2, $CellContext`L}], {$CellContext`i, 
           1, $CellContext`n$$}]; $CellContext`bn = 
        Table[(1/$CellContext`L) Integrate[
            
            Sin[($CellContext`i 
              Pi) ($CellContext`x/$CellContext`L)], {$CellContext`x, \
$CellContext`L/2, $CellContext`L}], {$CellContext`i, 
           1, $CellContext`n$$}]; $CellContext`f[
          Pattern[$CellContext`x$, 
           Blank[]]] := $CellContext`a0 + 
         Sum[Part[$CellContext`an, $CellContext`i] 
            Cos[($CellContext`i Pi) ($CellContext`x$/$CellContext`L)] + 
           Part[$CellContext`bn, $CellContext`i] 
            Sin[($CellContext`i 
               Pi) ($CellContext`x$/$CellContext`L)], {$CellContext`i, 
            1, $CellContext`n$$}]; $CellContext`fourier = Plot[
          $CellContext`f[$CellContext`x], {$CellContext`x, 0, 3}, 
          PlotRange -> {{0, 4}, {0, 1.2}}]; 
       Show[$CellContext`tooth, $CellContext`fourier]), 
      "Specifications" :> {{{$CellContext`n$$, 1, "Number of Terms"}, 1, 20, 
         1, Appearance -> "Labeled"}}, 
      "Options" :> {TrackedSymbols :> {$CellContext`n$$}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{409., {160., 165.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.4933015849990425`*^9, 3.4933017421066422`*^9, 3.493301785927042*^9, 
   3.493301947683442*^9, 3.493301990037442*^9, 3.493302055557442*^9, 
   3.493302105337042*^9, {3.493302157893442*^9, 3.493302179795842*^9}, 
   3.493302243085042*^9, 3.493302970236442*^9, 3.493303050592042*^9, 
   3.4933030840852423`*^9, 3.4933031563756423`*^9, 3.4933032830944424`*^9, 
   3.493303337554042*^9, 3.4933034124964423`*^9, {3.4933034522920423`*^9, 
   3.4933034775796423`*^9}}]
}, {2}]]
},
WindowSize->{869, 714},
WindowMargins->{{320, Automatic}, {Automatic, 23}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 408, 9, 52, "Text"],
Cell[CellGroupData[{
Cell[978, 33, 4913, 135, 322, "Input"],
Cell[5894, 170, 3659, 74, 342, "Output"]
}, {2}]]
}
]
*)

(* End of internal cache information *)
