(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12462,        326]
NotebookOptionsPosition[     11761,        297]
NotebookOutlinePosition[     12107,        312]
CellTagsIndexPosition[     12064,        309]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Fourier Series Example 3", "Text",
 CellFrame->{{0.5, 3}, {3, 0.5}},
 CellFrameColor->RGBColor[0, 0, 1],
 CellChangeTimes->{{3.495919133137974*^9, 3.4959192229783735`*^9}, {
   3.495919525275174*^9, 3.495919574087574*^9}, {3.495919775140689*^9, 
   3.495919780179941*^9}, {3.4959234370682945`*^9, 3.4959234487062674`*^9}, 
   3.4959234812957125`*^9, 3.495923538206336*^9},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->16,
 FontWeight->"Bold"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"L", "=", "1"}], ";", "\n", 
    RowBox[{"tooth", "=", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"i", "-", "2"}], ",", 
             RowBox[{"-", "1"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", 
             RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "3", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "4"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.2"}], ",", "1.2"}], "}"}]}], "}"}]}]}], "]"}]}], 
    ";", "\n", 
    RowBox[{"a0", "=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"2", "L"}]], 
      RowBox[{
       SubsuperscriptBox["\[Integral]", 
        RowBox[{"-", "L"}], 
        RowBox[{"-", "L"}]], 
       RowBox[{"x", 
        RowBox[{"\[DifferentialD]", "x"}]}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"an", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        FractionBox["1", "L"], 
        RowBox[{
         SubsuperscriptBox["\[Integral]", 
          RowBox[{"-", "L"}], "L"], 
         RowBox[{"x", "*", 
          RowBox[{"Cos", "[", 
           FractionBox[
            RowBox[{"i", "*", "\[Pi]", "*", "x"}], "L"], "]"}], 
          RowBox[{"\[DifferentialD]", "x"}]}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"bn", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        FractionBox["1", "L"], 
        RowBox[{
         SubsuperscriptBox["\[Integral]", 
          RowBox[{"-", "L"}], "L"], 
         RowBox[{"x", "*", 
          RowBox[{"Sin", "[", 
           FractionBox[
            RowBox[{"i", "*", "\[Pi]", "*", "x"}], "L"], "]"}], 
          RowBox[{"\[DifferentialD]", "x"}]}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", "\n", 
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{"a0", "+", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"i", "=", "1"}], "n"], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"an", "[", 
           RowBox[{"[", "i", "]"}], "]"}], 
          RowBox[{"Cos", "[", 
           FractionBox[
            RowBox[{"i", "*", "\[Pi]", "*", "x"}], "L"], "]"}]}], "+", 
         RowBox[{
          RowBox[{"bn", "[", 
           RowBox[{"[", "i", "]"}], "]"}], 
          RowBox[{"Sin", "[", 
           FractionBox[
            RowBox[{"i", "*", "\[Pi]", "*", "x"}], "L"], "]"}]}]}], 
        ")"}]}]}]}], ";", "\n", 
    RowBox[{"fourier", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"f", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "4"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "4"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.2"}], ",", "1.2"}], "}"}]}], "}"}]}]}], "]"}]}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"Show", "[", 
     RowBox[{"tooth", ",", "fourier"}], "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "\"\<Number of Terms\>\""}], "}"}], ",", 
     "1", ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", "n", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4933015993978424`*^9, 3.4933016120650425`*^9}, {
   3.493301675681842*^9, 3.493301815894642*^9}, {3.493301913893842*^9, 
   3.4933019464198422`*^9}, {3.4933019896162424`*^9, 3.4933020544030423`*^9}, 
   3.493302103543042*^9, {3.4933021574722424`*^9, 3.493302179249842*^9}, {
   3.4933022359402423`*^9, 3.493302242648242*^9}, {3.493302945682042*^9, 
   3.493302968972842*^9}, {3.493303061340442*^9, 3.493303080653242*^9}, 
   3.4933031537236423`*^9, {3.493303321205242*^9, 3.493303331828842*^9}, {
   3.493303380578842*^9, 3.4933034079568424`*^9}, {3.493303451777242*^9, 
   3.4933034769400425`*^9}, {3.4941034928849125`*^9, 3.494103630960719*^9}, {
   3.494103679210543*^9, 3.494103698485471*^9}, {3.494103781335755*^9, 
   3.4941038771813383`*^9}, {3.4941039659965696`*^9, 3.494103978445814*^9}, {
   3.49410415082205*^9, 3.4941042819701633`*^9}, {3.4941043259785643`*^9, 
   3.4941043411000757`*^9}, {3.4941043746424303`*^9, 
   3.4941045596349277`*^9}, {3.4941045937983437`*^9, 3.494104646788642*^9}, 
   3.4941048827022305`*^9, {3.4941049360755672`*^9, 3.494105017718731*^9}, {
   3.494105050938053*^9, 3.494105051161075*^9}, {3.49410525012997*^9, 
   3.4941053175457106`*^9}, {3.4941054170736628`*^9, 3.494105448831838*^9}, {
   3.4941055978697405`*^9, 3.494105822605562*^9}, {3.4941058548211184`*^9, 
   3.494105957818925*^9}, {3.4941060748720503`*^9, 3.494106088293708*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 4, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 1, "Number of Terms"}, 1, 20, 1}}, 
    Typeset`size$$ = {360., {102., 105.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$155149$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$155149$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`L = 1; $CellContext`tooth = ListLinePlot[
          
          Table[{{$CellContext`i - 2, -1}, {$CellContext`i, 
             1}, {$CellContext`i, -1}}, {$CellContext`i, 1, 3, 2}], 
          PlotRange -> {{0, 4}, {-1.2, 1.2}}]; $CellContext`a0 = (1/(
          2 $CellContext`L)) 
         Integrate[$CellContext`x, {$CellContext`x, -$CellContext`L, \
-$CellContext`L}]; $CellContext`an = 
        Table[(1/$CellContext`L) 
          Integrate[$CellContext`x 
            Cos[($CellContext`i 
               Pi) ($CellContext`x/$CellContext`L)], {$CellContext`x, \
-$CellContext`L, $CellContext`L}], {$CellContext`i, 
           1, $CellContext`n$$}]; $CellContext`bn = 
        Table[(1/$CellContext`L) 
          Integrate[$CellContext`x 
            Sin[($CellContext`i 
               Pi) ($CellContext`x/$CellContext`L)], {$CellContext`x, \
-$CellContext`L, $CellContext`L}], {$CellContext`i, 
           1, $CellContext`n$$}]; $CellContext`f[
          Pattern[$CellContext`x$, 
           Blank[]]] := $CellContext`a0 + 
         Sum[Part[$CellContext`an, $CellContext`i] 
            Cos[($CellContext`i Pi) ($CellContext`x$/$CellContext`L)] + 
           Part[$CellContext`bn, $CellContext`i] 
            Sin[($CellContext`i 
               Pi) ($CellContext`x$/$CellContext`L)], {$CellContext`i, 
            1, $CellContext`n$$}]; $CellContext`fourier = Plot[
          $CellContext`f[$CellContext`x], {$CellContext`x, 0, 4}, 
          PlotRange -> {{0, 4}, {-1.2, 1.2}}]; 
       Show[$CellContext`tooth, $CellContext`fourier]), 
      "Specifications" :> {{{$CellContext`n$$, 1, "Number of Terms"}, 1, 20, 
         1, Appearance -> "Labeled"}}, 
      "Options" :> {TrackedSymbols :> {$CellContext`n$$}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{409., {147., 152.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.4933015849990425`*^9, 3.4933017421066422`*^9, 3.493301785927042*^9, 
   3.493301947683442*^9, 3.493301990037442*^9, 3.493302055557442*^9, 
   3.493302105337042*^9, {3.493302157893442*^9, 3.493302179795842*^9}, 
   3.493302243085042*^9, 3.493302970236442*^9, 3.493303050592042*^9, 
   3.4933030840852423`*^9, 3.4933031563756423`*^9, 3.4933032830944424`*^9, 
   3.493303337554042*^9, 3.4933034124964423`*^9, {3.4933034522920423`*^9, 
   3.4933034775796423`*^9}, 3.4941036498286057`*^9, 3.494103699688591*^9, 
   3.494103878185439*^9, 3.4941042121141787`*^9, 3.494104289279895*^9, 
   3.494104341809147*^9, {3.494104430497015*^9, 3.494104445187484*^9}, 
   3.4941045062865934`*^9, 3.494104565801544*^9, 3.4941046479867616`*^9, 
   3.49410488389135*^9, {3.4941049839803576`*^9, 3.4941050195379133`*^9}, 
   3.494105052691228*^9, {3.4941056587343435`*^9, 3.4941057000150857`*^9}, {
   3.494105760463993*^9, 3.4941058232424355`*^9}, {3.494105882498582*^9, 
   3.494105959298777*^9}, {3.494106075647973*^9, 3.4941060891196256`*^9}}]
}, {2}]],

Cell[CellGroupData[{

Cell[BoxData["a0"], "Input",
 CellChangeTimes->{{3.4941042153164988`*^9, 3.49410421572654*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.494104216261594*^9, {3.4941044332372885`*^9, 3.4941044476547303`*^9}, 
   3.494107248425522*^9, 3.4959235680188265`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["an"], "Input",
 CellChangeTimes->{{3.49410429563453*^9, 3.494104295985565*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.494104298480815*^9, 3.494104510174982*^9, 
  3.49410486789375*^9, 3.4941072516678457`*^9, 3.4959235704680586`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["bn"], "Input",
 CellChangeTimes->{{3.494107253942073*^9, 3.49410725531221*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["2", "\[Pi]"], ",", 
   RowBox[{"-", 
    FractionBox["1", "\[Pi]"]}], ",", 
   FractionBox["2", 
    RowBox[{"3", " ", "\[Pi]"}]], ",", 
   RowBox[{"-", 
    FractionBox["1", 
     RowBox[{"2", " ", "\[Pi]"}]]}]}], "}"}]], "Output",
 CellChangeTimes->{3.4941072565543346`*^9, 3.4959235725272846`*^9}]
}, Open  ]]
},
WindowSize->{869, 714},
WindowMargins->{{350, Automatic}, {Automatic, 23}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 460, 10, 52, "Text"],
Cell[CellGroupData[{
Cell[1030, 34, 5383, 137, 300, "Input"],
Cell[6416, 173, 4173, 79, 316, "Output"]
}, {2}]],
Cell[CellGroupData[{
Cell[10623, 257, 95, 1, 31, "Input"],
Cell[10721, 260, 173, 3, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10931, 268, 93, 1, 31, "Input"],
Cell[11027, 271, 229, 4, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11293, 280, 93, 1, 31, "Input"],
Cell[11389, 283, 356, 11, 48, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
