(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12554,        345]
NotebookOptionsPosition[     11853,        316]
NotebookOutlinePosition[     12199,        331]
CellTagsIndexPosition[     12156,        328]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Fourier Series Example 5", "Text",
 CellFrame->{{0.5, 3}, {3, 0.5}},
 CellFrameColor->RGBColor[0, 0, 1],
 CellChangeTimes->{{3.495919133137974*^9, 3.4959192229783735`*^9}, {
   3.495919525275174*^9, 3.495919574087574*^9}, {3.495919775140689*^9, 
   3.495919780179941*^9}, {3.4959234370682945`*^9, 3.4959234487062674`*^9}, 
   3.4959237711958313`*^9},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->16,
 FontWeight->"Bold"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"L", "=", "1"}], ";", "\n", 
    RowBox[{"tooth", "=", 
     RowBox[{"ListLinePlot", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"i", "-", "1"}], ")"}], ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", 
             RowBox[{"-", "1"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"i", "+", "1"}], ")"}], ",", 
             RowBox[{"-", "1"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"i", "+", "1"}], ")"}], ",", "1"}], "}"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "3", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "3"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
    "\n", 
    RowBox[{"a0", "=", 
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"-", "1"}], "L"], 
       RowBox[{
        SubsuperscriptBox["\[Integral]", 
         RowBox[{"-", "L"}], "0"], 
        RowBox[{"\[DifferentialD]", "x"}]}]}], "+", 
      RowBox[{
       FractionBox["1", "L"], 
       RowBox[{
        SubsuperscriptBox["\[Integral]", "0", "L"], 
        RowBox[{"\[DifferentialD]", "x"}]}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"an", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{"-", "1"}], "L"], 
         RowBox[{
          SubsuperscriptBox["\[Integral]", 
           RowBox[{"-", "L"}], "0"], 
          RowBox[{
           RowBox[{"Cos", "[", 
            FractionBox[
             RowBox[{"i", "*", "\[Pi]", "*", "x"}], "L"], "]"}], 
           RowBox[{"\[DifferentialD]", "x"}]}]}]}], "+", 
        RowBox[{
         FractionBox["1", "L"], 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", "L"], 
          RowBox[{
           RowBox[{"Cos", "[", 
            FractionBox[
             RowBox[{"i", "*", "\[Pi]", "*", "x"}], "L"], "]"}], 
           RowBox[{"\[DifferentialD]", "x"}]}]}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"bn", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{"-", "1"}], "L"], 
         RowBox[{
          SubsuperscriptBox["\[Integral]", 
           RowBox[{"-", "L"}], "0"], 
          RowBox[{
           RowBox[{"Sin", "[", 
            FractionBox[
             RowBox[{"i", "*", "\[Pi]", "*", "x"}], "L"], "]"}], 
           RowBox[{"\[DifferentialD]", "x"}]}]}]}], "+", 
        RowBox[{
         FractionBox["1", "L"], 
         RowBox[{
          SubsuperscriptBox["\[Integral]", "0", "L"], 
          RowBox[{
           RowBox[{"Sin", "[", 
            FractionBox[
             RowBox[{"i", "*", "\[Pi]", "*", "x"}], "L"], "]"}], 
           RowBox[{"\[DifferentialD]", "x"}]}]}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", "\n", 
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{"a0", "+", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", 
        RowBox[{"i", "=", "1"}], "n"], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"an", "[", 
           RowBox[{"[", "i", "]"}], "]"}], 
          RowBox[{"Cos", "[", 
           FractionBox[
            RowBox[{"i", "*", "\[Pi]", "*", "x"}], "L"], "]"}]}], "+", 
         RowBox[{
          RowBox[{"bn", "[", 
           RowBox[{"[", "i", "]"}], "]"}], 
          RowBox[{"Sin", "[", 
           FractionBox[
            RowBox[{"i", "*", "\[Pi]", "*", "x"}], "L"], "]"}]}]}], 
        ")"}]}]}]}], ";", "\n", 
    RowBox[{"fourier", "=", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"f", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "3"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "3"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Show", "[", 
     RowBox[{"tooth", ",", "fourier"}], "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "\"\<Number of Terms\>\""}], "}"}], ",", 
     "1", ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", "n", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4933015993978424`*^9, 3.4933016120650425`*^9}, {
   3.493301675681842*^9, 3.493301815894642*^9}, {3.493301913893842*^9, 
   3.4933019464198422`*^9}, {3.4933019896162424`*^9, 3.4933020544030423`*^9}, 
   3.493302103543042*^9, {3.4933021574722424`*^9, 3.493302179249842*^9}, {
   3.4933022359402423`*^9, 3.493302242648242*^9}, {3.493302945682042*^9, 
   3.493302968972842*^9}, {3.493303061340442*^9, 3.493303080653242*^9}, 
   3.4933031537236423`*^9, {3.493303321205242*^9, 3.493303331828842*^9}, {
   3.493303380578842*^9, 3.4933034079568424`*^9}, {3.493303451777242*^9, 
   3.4933034769400425`*^9}, {3.493304139358242*^9, 3.4933041453798423`*^9}, {
   3.4933041789198422`*^9, 3.493304242302642*^9}, {3.493304294999442*^9, 
   3.493304341050642*^9}, {3.494107476773354*^9, 3.4941075786465406`*^9}, {
   3.494107691092784*^9, 3.494107792509925*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 1, "Number of Terms"}, 1, 20, 1}}, 
    Typeset`size$$ = {360., {109., 113.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$220445$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$220445$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`L = 1; $CellContext`tooth = ListLinePlot[
          
          Table[{{$CellContext`i - 1, 1}, {$CellContext`i, 
             1}, {$CellContext`i, -1}, {$CellContext`i + 
             1, -1}, {$CellContext`i + 1, 1}}, {$CellContext`i, 1, 3, 2}], 
          PlotRange -> {{0, 3}, {-2, 
           2}}]; $CellContext`a0 = ((-1)/$CellContext`L) 
          Integrate[1, {$CellContext`x, -$CellContext`L, 0}] + (
           1/$CellContext`L) 
          Integrate[1, {$CellContext`x, 0, $CellContext`L}]; $CellContext`an = 
        Table[((-1)/$CellContext`L) Integrate[
             
             Cos[($CellContext`i 
               Pi) ($CellContext`x/$CellContext`L)], {$CellContext`x, \
-$CellContext`L, 0}] + (1/$CellContext`L) Integrate[
             
             Cos[($CellContext`i 
               Pi) ($CellContext`x/$CellContext`L)], {$CellContext`x, 
              0, $CellContext`L}], {$CellContext`i, 
           1, $CellContext`n$$}]; $CellContext`bn = 
        Table[((-1)/$CellContext`L) Integrate[
             
             Sin[($CellContext`i 
               Pi) ($CellContext`x/$CellContext`L)], {$CellContext`x, \
-$CellContext`L, 0}] + (1/$CellContext`L) Integrate[
             Sin[($CellContext`i 
               Pi) ($CellContext`x/$CellContext`L)], {$CellContext`x, 
              0, $CellContext`L}], {$CellContext`i, 
           1, $CellContext`n$$}]; $CellContext`f[
          Pattern[$CellContext`x$, 
           Blank[]]] := $CellContext`a0 + 
         Sum[Part[$CellContext`an, $CellContext`i] 
            Cos[($CellContext`i Pi) ($CellContext`x$/$CellContext`L)] + 
           Part[$CellContext`bn, $CellContext`i] 
            Sin[($CellContext`i 
               Pi) ($CellContext`x$/$CellContext`L)], {$CellContext`i, 
            1, $CellContext`n$$}]; $CellContext`fourier = Plot[
          $CellContext`f[$CellContext`x], {$CellContext`x, 0, 3}, 
          PlotRange -> {{0, 3}, {-2, 2}}]; 
       Show[$CellContext`tooth, $CellContext`fourier]), 
      "Specifications" :> {{{$CellContext`n$$, 1, "Number of Terms"}, 1, 20, 
         1, Appearance -> "Labeled"}}, 
      "Options" :> {TrackedSymbols :> {$CellContext`n$$}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{409., {155., 160.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.494107750799754*^9, 3.4941077932890024`*^9}}]
}, {2}]],

Cell[CellGroupData[{

Cell[BoxData["a0"], "Input",
 CellChangeTimes->{{3.493304256077442*^9, 3.493304261896242*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.4933042627854424`*^9, 3.4933043492562423`*^9, {3.4941073054232206`*^9, 
   3.4941073393726153`*^9}, 3.494107805426216*^9, 3.4959237371873956`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["an"], "Input",
 CellChangeTimes->{{3.4933043526570425`*^9, 3.4933043863374424`*^9}, 
   3.493304512978242*^9, {3.4941073092506037`*^9, 3.494107309377616*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.493304357571042*^9, 3.493304386867842*^9}, 
   3.4933045138206425`*^9, {3.494107309769655*^9, 3.4941073417908573`*^9}, 
   3.494107807811455*^9, 3.495923739324623*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["bn"], "Input",
 CellChangeTimes->{{3.4941073207347517`*^9, 3.494107321746853*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["4", "\[Pi]"], ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{{3.494107322205899*^9, 3.4941073439740753`*^9}, 
   3.4941078105307264`*^9, 3.495923741758254*^9}]
}, Open  ]]
},
WindowSize->{869, 714},
WindowMargins->{{328, Automatic}, {Automatic, 43}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 438, 10, 52, "Text"],
Cell[CellGroupData[{
Cell[1008, 34, 6041, 165, 319, "Input"],
Cell[7052, 201, 3627, 74, 332, "Output"]
}, {2}]],
Cell[CellGroupData[{
Cell[10713, 280, 94, 1, 31, "Input"],
Cell[10810, 283, 199, 3, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11046, 291, 172, 2, 31, "Input"],
Cell[11221, 295, 263, 5, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11521, 305, 96, 1, 31, "Input"],
Cell[11620, 308, 217, 5, 47, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
