(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6604,        178]
NotebookOptionsPosition[      6239,        161]
NotebookOutlinePosition[      6584,        176]
CellTagsIndexPosition[      6541,        173]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "Orthogonal Functions\n",
 StyleBox["(Cosine terms)",
  FontSize->12],
 " "
}], "Text",
 CellFrame->{{0.5, 3}, {3, 0.5}},
 CellFrameColor->RGBColor[0, 0, 1],
 CellChangeTimes->{{3.495919133137974*^9, 3.4959192229783735`*^9}, {
  3.495919525275174*^9, 3.495919574087574*^9}, {3.495919775140689*^9, 
  3.495919780179941*^9}, {3.4959214696779137`*^9, 3.495921485979496*^9}, {
  3.4959215682059793`*^9, 3.4959215687987757`*^9}},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->16,
 FontWeight->"Bold"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"output", "=", 
     RowBox[{
      SubsuperscriptBox["\[Integral]", "0", "L"], 
      RowBox[{
       RowBox[{"Cos", "[", 
        FractionBox[
         RowBox[{"n", "*", "\[Pi]", "*", "x"}], "L"], "]"}], 
       RowBox[{"Cos", "[", 
        FractionBox[
         RowBox[{"m", "*", "\[Pi]", "*", "x"}], "L"], "]"}], 
       RowBox[{"\[DifferentialD]", "x"}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Graphics", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
           "\"\<\!\(\*SubsuperscriptBox[\(\[Integral]\), \(0\), \
\(L\)]\)Cos[\!\(\*FractionBox[\(n*\[Pi]*x\), \
\(L\)]\)]Cos[\!\(\*FractionBox[\(m*\[Pi]*x\), \(L\)]\)]\[DifferentialD]x  = \
\>\"", " ", ",", "Large"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}]}], "]"}], ",", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"output", ",", "Large"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"5", ",", "0"}], "}"}]}], "]"}]}], "}"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"400", ",", "100"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "\"\<Constants n\>\""}], "}"}], ",", "0", 
     ",", "10", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "\"\<Constants m\>\""}], "}"}], ",", "0", 
     ",", "10", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.490566877550917*^9, 3.490566983511917*^9}, 
   3.490567107789917*^9, {3.4905676073549175`*^9, 3.490567638893917*^9}, {
   3.490568761508917*^9, 3.490568879043917*^9}, {3.4959215008771143`*^9, 
   3.495921528707033*^9}, {3.4959216376879344`*^9, 3.49592164927866*^9}, {
   3.4959217095566735`*^9, 3.495921747324032*^9}, {3.495921852795187*^9, 
   3.495921968827987*^9}, {3.4959220284667873`*^9, 3.4959220478887873`*^9}, {
   3.4959220837063875`*^9, 3.495922100819587*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`m$$ = 4, $CellContext`n$$ = 7, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 1, "Constants n"}, 0, 10, 1}, {{
       Hold[$CellContext`m$$], 1, "Constants m"}, 0, 10, 1}}, 
    Typeset`size$$ = {400., {48., 52.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$165043$$ = 0, $CellContext`m$165044$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`m$$ = 1, $CellContext`n$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$165043$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$165044$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`output = 
        Integrate[
         Cos[$CellContext`n$$ Pi $CellContext`x/$CellContext`L] 
          Cos[$CellContext`m$$ 
            Pi $CellContext`x/$CellContext`L], {$CellContext`x, 
           0, $CellContext`L}]; Graphics[{
          Text[
           Style[
           "\!\(\*SubsuperscriptBox[\(\[Integral]\), \(0\), \
\(L\)]\)Cos[\!\(\*FractionBox[\(n*\[Pi]*x\), \
\(L\)]\)]Cos[\!\(\*FractionBox[\(m*\[Pi]*x\), \(L\)]\)]\[DifferentialD]x  = ",
             Large], {0, 0}], 
          Text[
           Style[$CellContext`output, Large], {5, 0}]}, 
         ImageSize -> {400, 100}]), 
      "Specifications" :> {{{$CellContext`n$$, 1, "Constants n"}, 0, 10, 1, 
         ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`m$$, 1, "Constants m"}, 0, 10, 1, 
         ImageSize -> Tiny, Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{449., {102., 107.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.4959218649787874`*^9, {3.495921895944787*^9, 3.4959219064435873`*^9}, 
   3.495921982836787*^9, 3.4959220486531873`*^9, {3.495922086483187*^9, 
   3.495922101349987*^9}}]
}, {2}]]
},
WindowSize->{914, 750},
WindowMargins->{{22, Automatic}, {Automatic, 28}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 523, 15, 74, "Text"],
Cell[CellGroupData[{
Cell[1093, 39, 2476, 61, 181, "Input"],
Cell[3572, 102, 2654, 56, 226, "Output"]
}, {2}]]
}
]
*)

(* End of internal cache information *)

