(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5456,        149]
NotebookOptionsPosition[      5092,        132]
NotebookOutlinePosition[      5437,        147]
CellTagsIndexPosition[      5394,        144]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "Orthogonal Functions\n",
 StyleBox["(Cosine terms)",
  FontSize->12],
 " "
}], "Text",
 CellFrame->{{0.5, 3}, {3, 0.5}},
 CellFrameColor->RGBColor[0, 0, 1],
 CellChangeTimes->{{3.495919133137974*^9, 3.4959192229783735`*^9}, {
  3.495919525275174*^9, 3.495919574087574*^9}, {3.495919775140689*^9, 
  3.495919780179941*^9}, {3.4959214696779137`*^9, 3.495921485979496*^9}, {
  3.4959215682059793`*^9, 3.4959215687987757`*^9}},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->16,
 FontWeight->"Bold"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Cos", "[", 
       FractionBox[
        RowBox[{"n", "*", "\[Pi]", "*", "x"}], "1"], "]"}], 
      RowBox[{"Cos", "[", 
       FractionBox[
        RowBox[{"m", "*", "\[Pi]", "*", "x"}], "1"], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Orange"}], "}"}]}], ",", 
     RowBox[{"Filling", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Axis", ",", 
          RowBox[{"{", 
           RowBox[{"Green", ",", "Yellow"}], "}"}]}], "}"}]}], "}"}]}]}], 
    "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "\"\<Constants n\>\""}], "}"}], ",", "0", 
     ",", "10", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "\"\<Constants m\>\""}], "}"}], ",", "0", 
     ",", "10", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.490567058721917*^9, 3.490567087662917*^9}, {
   3.490568912367917*^9, 3.4905689201379175`*^9}, 3.490568952664917*^9, {
   3.490569026282917*^9, 3.490569040161917*^9}, {3.490569166730917*^9, 
   3.490569176039917*^9}, {3.4905692275979176`*^9, 3.490569236791917*^9}, {
   3.490569277037917*^9, 3.490569321715917*^9}, {3.4905694691939173`*^9, 
   3.4905695187009172`*^9}, {3.4906026174556975`*^9, 3.4906026785768895`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`m$$ = 1, $CellContext`n$$ = 2, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 1, "Constants n"}, 0, 10, 1}, {{
       Hold[$CellContext`m$$], 1, "Constants m"}, 0, 10, 1}}, 
    Typeset`size$$ = {360., {106., 110.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True, $CellContext`n$1978$$ =
     0, $CellContext`m$1979$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`m$$ = 1, $CellContext`n$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$1978$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$1979$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[Cos[($CellContext`n$$ Pi) ($CellContext`x/1)] 
        Cos[($CellContext`m$$ Pi) ($CellContext`x/1)], {$CellContext`x, 0, 1},
         PlotStyle -> {Thick, Orange}, 
        Filling -> {1 -> {Axis, {Green, Yellow}}}], 
      "Specifications" :> {{{$CellContext`n$$, 1, "Constants n"}, 0, 10, 1, 
         ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`m$$, 1, "Constants m"}, 0, 10, 1, 
         ImageSize -> Tiny, Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{409., {160., 165.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.4921539966061068`*^9}]
}, {2}]]
},
WindowSize->{607, 750},
WindowMargins->{{89, Automatic}, {97, Automatic}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 523, 15, 74, "Text"],
Cell[CellGroupData[{
Cell[1093, 39, 1873, 46, 184, "Input"],
Cell[2969, 87, 2110, 42, 342, "Output"]
}, {2}]]
}
]
*)

(* End of internal cache information *)

