(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12981,        313]
NotebookOptionsPosition[     12614,        296]
NotebookOutlinePosition[     12960,        311]
CellTagsIndexPosition[     12917,        308]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "Laplace's Equation for Heat Transfer\n",
 StyleBox["Steady Start Heat transfer in a Rectangular Plate\nPrinciple of \
superposition",
  FontSize->12]
}], "Text",
 CellFrame->{{0.5, 3}, {3, 0.5}},
 CellFrameColor->RGBColor[0, 0, 1],
 CellChangeTimes->{{3.495919133137974*^9, 3.4959192229783735`*^9}, {
  3.495919525275174*^9, 3.495919574087574*^9}, {3.495919775140689*^9, 
  3.495919780179941*^9}, {3.495922780864751*^9, 3.49592283415401*^9}, {
  3.495922898784768*^9, 3.4959229071775684`*^9}},
 TextAlignment->Center,
 FontFamily->"Arial",
 FontSize->16,
 FontWeight->"Bold"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ht", "=", "1"}], ";", "\[IndentingNewLine]", 
    RowBox[{"len", "=", "1"}], ";", "\[IndentingNewLine]", 
    RowBox[{"u1", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       FractionBox["2", 
        RowBox[{"ht", "*", 
         RowBox[{"Sinh", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"-", "\[Pi]"}], "*", "len", "*", "k"}], "ht"], "]"}]}]], 
       ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "20"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"v1", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       FractionBox["2", 
        RowBox[{"len", "*", 
         RowBox[{"Sinh", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"-", "\[Pi]"}], "*", "ht", "*", "k"}], "len"], "]"}]}]], 
       ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "20"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"u2", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Integrate", "[", 
        RowBox[{
         RowBox[{"10", "*", 
          RowBox[{"Sin", "[", 
           FractionBox[
            RowBox[{"\[Pi]", "*", "j", "*", "t"}], "ht"], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "20"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"v2", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Integrate", "[", 
        RowBox[{
         RowBox[{"10", "*", 
          RowBox[{"Sin", "[", 
           FractionBox[
            RowBox[{"\[Pi]", "*", "j", "*", "t"}], "len"], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", "20"}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"v", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
     RowBox[{
      UnderoverscriptBox["\[Sum]", 
       RowBox[{"i", "=", "1"}], "m"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"v1", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "*", 
        RowBox[{"v2", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "*", 
        RowBox[{"Sin", "[", 
         FractionBox[
          RowBox[{"i", "*", "\[Pi]", "*", "x"}], "len"], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{
          FractionBox[
           RowBox[{"i", "*", "\[Pi]"}], "len"], 
          RowBox[{"(", 
           RowBox[{"y", "-", "ht"}], ")"}]}], "]"}]}], ")"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"u", "[", 
      RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
     RowBox[{
      UnderoverscriptBox["\[Sum]", 
       RowBox[{"i", "=", "1"}], "m"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"u1", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "*", 
        RowBox[{"u2", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "*", 
        RowBox[{"Sin", "[", 
         FractionBox[
          RowBox[{"i", "*", "\[Pi]", "*", "y"}], "ht"], "]"}], "*", 
        RowBox[{"Sinh", "[", 
         RowBox[{
          FractionBox[
           RowBox[{"i", "*", "\[Pi]"}], "ht"], 
          RowBox[{"(", 
           RowBox[{"x", "-", "len"}], ")"}]}], "]"}]}], ")"}]}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ContourPlot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"u", "[", 
        RowBox[{"x", ",", "y"}], "]"}], "+", 
       RowBox[{"v", "[", 
        RowBox[{"x", ",", "y"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"y", ",", "0", ",", "1"}], "}"}], ",", 
      RowBox[{"WorkingPrecision", "\[Rule]", 
       RowBox[{"ControlActive", "[", 
        RowBox[{"1", ",", "2"}], "]"}]}], ",", 
      RowBox[{"ContourLabels", "\[Rule]", "True"}], ",", 
      RowBox[{"ColorFunction", "\[Rule]", "\"\<DarkRainbow\>\""}], ",", 
      RowBox[{"ContourStyle", "\[Rule]", 
       RowBox[{"Directive", "[", 
        RowBox[{
         RowBox[{"Opacity", "[", "0.5", "]"}], ",", "Red"}], "]"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"500", ",", "500"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "1", ",", "\"\<Number of terms\>\""}], "}"}], ",", 
     "1", ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", "m", "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.493073713818819*^9, 3.493073974151819*^9}, {
   3.493074037877819*^9, 3.493074055856819*^9}, {3.493074097360819*^9, 
   3.493074152442819*^9}, {3.4930741859808187`*^9, 3.493074213200819*^9}, {
   3.4930742451778193`*^9, 3.4930743267048187`*^9}, {3.493074356959819*^9, 
   3.4930743772488194`*^9}, {3.493074427100819*^9, 3.493074434648819*^9}, {
   3.493074480925819*^9, 3.493074499448819*^9}, {3.493074613622819*^9, 
   3.4930746434948187`*^9}, {3.493074680705819*^9, 3.4930747049608192`*^9}, {
   3.4930748725718193`*^9, 3.493074917279819*^9}, {3.493074978051819*^9, 
   3.493075004720819*^9}, {3.493075221338819*^9, 3.493075224124819*^9}, {
   3.493075265444819*^9, 3.493075285143819*^9}, {3.493075528658819*^9, 
   3.493075556289819*^9}, {3.493076279666819*^9, 3.493076284978819*^9}, {
   3.493076510398819*^9, 3.4930766170868187`*^9}, {3.4930766805058193`*^9, 
   3.493076691342819*^9}, {3.493076747350819*^9, 3.493076749807819*^9}, {
   3.493076790584819*^9, 3.493076797881819*^9}, 3.4930770499728193`*^9, {
   3.493077081719819*^9, 3.493077092973819*^9}, {3.4930775707564*^9, 
   3.4930776643214*^9}, {3.4930777099134*^9, 3.4930777179214*^9}, {
   3.4930779075704*^9, 3.4930779089804*^9}, {3.4930780341644*^9, 
   3.4930780779084005`*^9}, {3.4930781102014003`*^9, 3.4930781124964*^9}, {
   3.4930781826304*^9, 3.4930781838004003`*^9}, {3.4930782274894*^9, 
   3.4930783135194*^9}, {3.4930786243244*^9, 3.4930786251034*^9}, {
   3.4930786552694*^9, 3.4930786707574005`*^9}, {3.4930787268844004`*^9, 
   3.4930787390864*^9}, {3.4930787744194*^9, 3.4930788840184*^9}, 
   3.4930789435204*^9, {3.4930790789544*^9, 3.4930790938244*^9}, {
   3.4930791772784004`*^9, 3.4930791794324*^9}, {3.4931043649472585`*^9, 
   3.493104454316794*^9}, {3.493104559317028*^9, 3.4931045634040976`*^9}, {
   3.4931046147576513`*^9, 3.4931046162240047`*^9}, {3.493104679292783*^9, 
   3.4931047003053093`*^9}, 3.4931048713106785`*^9, {3.4931049924283023`*^9, 
   3.4931050321144686`*^9}, {3.4931050783684683`*^9, 3.493105104108468*^9}, {
   3.4931053609936686`*^9, 3.4931053643320684`*^9}, {3.4931054020840683`*^9, 
   3.4931054036908684`*^9}, {3.4931054619570417`*^9, 3.493105470256401*^9}, {
   3.493622970060109*^9, 3.493623086725668*^9}, {3.493623118345651*^9, 
   3.493623122261101*^9}, {3.493623166095415*^9, 3.4936231937843494`*^9}, {
   3.495923035050768*^9, 3.4959230443951683`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`m$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`m$$], 1, "Number of terms"}, 1, 20, 1}}, 
    Typeset`size$$ = {500., {248., 252.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`m$179424$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`m$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`m$$, $CellContext`m$179424$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`ht = 1; $CellContext`len = 1; $CellContext`u1 = 
        Table[2/($CellContext`ht 
          Sinh[(-Pi) $CellContext`len $CellContext`k/$CellContext`ht]), \
{$CellContext`k, 1, 20}]; $CellContext`v1 = 
        Table[2/($CellContext`len 
          Sinh[(-Pi) $CellContext`ht $CellContext`k/$CellContext`len]), \
{$CellContext`k, 1, 20}]; $CellContext`u2 = Table[
          Integrate[
          10 Sin[Pi $CellContext`j $CellContext`t/$CellContext`ht], \
{$CellContext`t, 0, 1}], {$CellContext`j, 1, 20}]; $CellContext`v2 = Table[
          Integrate[
          10 Sin[Pi $CellContext`j $CellContext`t/$CellContext`len], \
{$CellContext`t, 0, 1}], {$CellContext`j, 1, 20}]; $CellContext`v[
          Pattern[$CellContext`x$, 
           Blank[]], 
          Pattern[$CellContext`y$, 
           Blank[]]] := 
        Sum[Part[$CellContext`v1, $CellContext`i] 
          Part[$CellContext`v2, $CellContext`i] 
          Sin[$CellContext`i Pi $CellContext`x$/$CellContext`len] 
          Sinh[($CellContext`i 
             Pi/$CellContext`len) ($CellContext`y$ - $CellContext`ht)], \
{$CellContext`i, 1, $CellContext`m$$}]; $CellContext`u[
          Pattern[$CellContext`x$, 
           Blank[]], 
          Pattern[$CellContext`y$, 
           Blank[]]] := 
        Sum[Part[$CellContext`u1, $CellContext`i] 
          Part[$CellContext`u2, $CellContext`i] 
          Sin[$CellContext`i Pi $CellContext`y$/$CellContext`ht] 
          Sinh[($CellContext`i 
             Pi/$CellContext`ht) ($CellContext`x$ - $CellContext`len)], \
{$CellContext`i, 1, $CellContext`m$$}]; 
       ContourPlot[$CellContext`u[$CellContext`x, $CellContext`y] + \
$CellContext`v[$CellContext`x, $CellContext`y], {$CellContext`x, 0, 
          1}, {$CellContext`y, 0, 1}, WorkingPrecision -> ControlActive[1, 2],
          ContourLabels -> True, ColorFunction -> "DarkRainbow", ContourStyle -> 
         Directive[
           Opacity[0.5], Red], ImageSize -> {500, 500}]), 
      "Specifications" :> {{{$CellContext`m$$, 1, "Number of terms"}, 1, 20, 
         1, Appearance -> "Labeled"}}, 
      "Options" :> {TrackedSymbols :> {$CellContext`m$$}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{549., {294., 299.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.4930775408944*^9, 3.4930775727344003`*^9, 3.4930776140674*^9, 
   3.4930776548474*^9, 3.4930777223904*^9, {3.4930779368954*^9, 
   3.4930779634054003`*^9}, 3.4930781502774*^9, 3.4930782195854*^9, 
   3.4930783983984003`*^9, 3.4930787570384*^9, 3.4930788628004003`*^9, 
   3.4930788939394*^9, 3.4930791018464003`*^9, 3.4930791901464005`*^9, 
   3.4931044600730095`*^9, {3.4931045378989153`*^9, 3.4931045640592766`*^9}, 
   3.4931046173315687`*^9, {3.49310468342665*^9, 3.493104700866892*^9}, 
   3.493104873120267*^9, {3.493105014782959*^9, 3.4931050332376685`*^9}, {
   3.493105084686468*^9, 3.4931051053252687`*^9}, 3.4931053656736684`*^9, 
   3.4931054048452682`*^9, 3.4931054720192347`*^9, 3.493623128750451*^9, {
   3.49362316856012*^9, 3.4936231942523317`*^9}, 3.4959230457211685`*^9}]
}, {2}]]
},
WindowSize->{791, 771},
WindowMargins->{{112, Automatic}, {48, Automatic}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 593, 15, 88, "Text"],
Cell[CellGroupData[{
Cell[1163, 39, 7096, 168, 446, "Input"],
Cell[8262, 209, 4339, 84, 610, "Output"]
}, {2}]]
}
]
*)

(* End of internal cache information *)
